> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runpod.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new network volume

> Create a new network volume.



## OpenAPI

````yaml POST /networkvolumes
openapi: 3.0.3
info:
  title: Runpod API
  description: Public Rest API for managing Runpod programmatically.
  version: 0.1.0
  contact:
    name: help
    url: https://contact.runpod.io/hc/requests/new
    email: help@runpod.io
servers:
  - url: https://rest.runpod.io/v1
security:
  - ApiKey: []
tags:
  - name: docs
    description: This documentation page.
  - name: pods
    description: Manage Pods.
  - name: endpoints
    description: Manage Serverless endpoints.
  - name: network volumes
    description: Manage Runpod network volumes.
  - name: templates
    description: Manage Pod and Serverless templates.
  - name: container registry auths
    description: >-
      Manage authentication for container registries such as dockerhub to use
      private images.
  - name: billing
    description: Retrieve billing history for your Runpod account.
externalDocs:
  description: Find out more about Runpod.
  url: https://runpod.io
paths:
  /networkvolumes:
    post:
      tags:
        - network volumes
      summary: Create a new network volume
      description: Create a new network volume.
      operationId: CreateNetworkVolume
      requestBody:
        description: Create a new network volume.
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/NetworkVolumeCreateInput'
        required: true
      responses:
        '200':
          description: Successful operation.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NetworkVolume'
        '400':
          description: Invalid input.
components:
  schemas:
    NetworkVolumeCreateInput:
      type: object
      required:
        - name
        - size
        - dataCenterId
      properties:
        dataCenterId:
          type: string
          example: EU-RO-1
          description: >-
            The Runpod data center ID where the created network volume is
            located.
        name:
          type: string
          example: my network volume
          description: >-
            A user-defined name for the created network volume. The name does
            not need to be unique.
        size:
          type: integer
          example: 50
          description: >-
            The amount of disk space, in gigabytes (GB), allocated to the
            created network volume.
          minimum: 0
          maximum: 4000
    NetworkVolume:
      type: object
      properties:
        dataCenterId:
          type: string
          example: EU-RO-1
          description: The Runpod data center ID where a network volume is located.
        id:
          type: string
          example: agv6w2qcg7
          description: A unique string identifying a network volume.
        name:
          type: string
          example: my network volume
          description: >-
            A user-defined name for a network volume. The name does not need to
            be unique.
        size:
          type: integer
          example: 50
          description: >-
            The amount of disk space, in gigabytes (GB), allocated to a network
            volume.
  securitySchemes:
    ApiKey:
      type: http
      scheme: bearer
      bearerFormat: Bearer

````